import os
import yaml
import pandas as pd


csv = pd.read_csv('mirrors_needed.csv')


for index, group in enumerate(csv['group_name']):
    group_dir = '/home/mao/Downloads/mirrors-settings/projects/' + str(group).lower()
    if os.path.exists(group_dir) and os.path.exists(group_dir + '/imports.yml'):
        print(True)
        group_imports_yml = group_dir + '/imports.yml'

        with open(group_imports_yml, 'r', encoding='utf-8') as stream:
            try:
                parse_yml = yaml.safe_load(stream)
                # print(parse_yml)
            except yaml.YAMLError as exec:
                print(exec)

        add_project_dict = {'name': str(csv['project_name'][index]), 'description': '', 'mirrorRelease': False, 'topic': ''}
        print(add_project_dict)

        projects = parse_yml['group']['projects']
        projects.append(add_project_dict)

        with open(group_imports_yml, 'w', encoding='utf-8') as stream:
            try:
                yaml.safe_dump(parse_yml, stream)
            except yaml.YAMLError as exec:
                print(exec)
    else:
        group_dir_upper = '/home/mao/Downloads/mirrors-settings/projects/' + str(group)
        os.makedirs(group_dir_upper, exist_ok=True)
        group_imports_yml = group_dir_upper + '/imports.yml'

        add_project_dict = {'group': {'name': str(group), 'description': '', 'projects': [{'name': str(csv['project_name'][index]), 'description': '', 'mirrorRelease': False, 'topic': ''}, ]}}

        with open(group_imports_yml, 'w', encoding='utf-8') as stream:
            try:
                yaml.safe_dump(add_project_dict, stream)
            except yaml.YAMLError as exec:
                print(exec)