import pandas as pd

filenameStr = 'test.csv'
csv = pd.read_csv(filenameStr, encoding='ISO-8859-1', dtype=str, usecols=['project path', 'visits'])
print(len(csv))

project_path = csv['project path']
group_names = []
project_names = []
for index, project in enumerate(project_path):
    group_names.append(str(project.split('/')[3]))
    project_names.append(str(project.split('/')[4]))

csv['group_name'] = group_names
csv['project_name'] = project_names

drop_none = csv.dropna(how='any')
drop_none.to_csv('test.csv', columns=['project path', 'visits', 'group_name', 'project_name'], index=False)
print(len(drop_none))