import pandas as pd

filenameStr = 'test.csv'
csv = pd.read_csv(filenameStr, encoding='ISO-8859-1', dtype=str, usecols=['project path', 'visits'])
print(len(csv))

project_path = csv['project path']
delete_index_list = []
for index, project in enumerate(project_path):
    if len(project.split('/')) <= 4:
        delete_index_list.append(index)

project_path[delete_index_list] = None
drop_none = csv.dropna(how='any')
drop_none.to_csv('test.csv', index=False)
print(len(drop_none))