import os
import yaml
import pandas as pd

groups = os.listdir('/home/mao/Downloads/mirrors-settings/projects')

group_list = []
project_list = []

for i, group in enumerate(groups):
    if group == 'imports.yml':
        continue
    for file in os.listdir('/home/mao/Downloads/mirrors-settings/projects/' + group):
        # print(file)
        if len(os.listdir('/home/mao/Downloads/mirrors-settings/projects/' + group)) < 1:
            continue
        if file != 'imports.yml':
            continue
        with open('/home/mao/Downloads/mirrors-settings/projects/' + str(group) + '/' + str(file), 'r', encoding='utf-8') as stream:
            try:
                parse_yml = yaml.safe_load(stream)
                # print('/home/mao/Downloads/mirrors-settings/projects/' + str(group) + '/' + str(file))
                # print(parse_yml)
            except yaml.YAMLError as exec:
                print(exec)
        # print(i, group)
        group_name = parse_yml['group']['name']
        for name in parse_yml['group']['projects']:
            # print(group_name, name['name'])
            group_list.append(group_name.lower())
            project_list.append(name['name'].lower())


mirrors = pd.DataFrame.from_dict({'group_name': group_list, 'project_name': project_list})

mirrors.to_csv('mirrors.csv', columns=['group_name', 'project_name'], index=False)