import pandas as pd

csv1 = pd.read_csv('mirrors.csv')
csv2 = pd.read_csv('csv_split.csv')

add_group_list = []
add_project_list = []
add_project_path = []

for index, group_project in enumerate(zip(csv2['group_name'], csv2['project_name'])):
    # print(group_project[0], group_project[1])
    if str(group_project[0]).lower() in list(csv1['group_name']):
        # print(group_project[0])
        # break
        if str(group_project[1]).lower() in list(csv1['project_name']):
            pass
        else:
            add_group_list.append(group_project[0])
            add_project_list.append(group_project[1])
            add_project_path.append(csv2['project path'].loc[index])
    else:
        # os.makedirs(group_project[0], exist_ok=True)
        add_group_list.append(group_project[0])
        add_project_list.append(group_project[1])
        add_project_path.append(csv2['project path'].loc[index])


mirrors_needed = pd.DataFrame.from_dict({'group_name': add_group_list, 'project_name': add_project_list, 'project path': add_project_path})
mirrors_needed = mirrors_needed.dropna(how='any')
mirrors_needed.to_csv('mirrors_needed.csv', columns=['group_name', 'project_name', 'project path'], index=False)
print(len(mirrors_needed))