import time

import requests
import pandas as pd

filenameStr = './mirrors_needed.csv'
csv = pd.read_csv(filenameStr, encoding='ISO-8859-1', dtype=str, usecols=['group_name', 'project_name', 'project path'])
print(len(csv))
project_path = csv['project path']

cookies = {}
headers = {}
delete_index_list = []

def getHttpStatusCode(url):
    try:
        request = requests.get(url, headers=headers, cookies=cookies)
        httpStatusCode = request.status_code
        return httpStatusCode
    except requests.exceptions.HTTPError as e:
        return e

if __name__ == "__main__":
    for index, line in enumerate(project_path):
        if index > 1999:
            break
        try:
            status = getHttpStatusCode(line)
            time.sleep(0.5)
            if status != 200:
                delete_index_list.append(index)
        except Exception as e:
            print(e)
    print(delete_index_list)
    project_path[delete_index_list] = None
    drop_none = csv.dropna(how='any')
    drop_none.to_csv('mirrors_needed.csv', index=False)
    print(len(drop_none))
